Index: cpukit/sapi/inline/rtems/chain.inl
===================================================================
--- cpukit/sapi/inline/rtems/chain.inl	(revision f2f39b62a284afefbf8f1840255602162a9b2a01)
+++ cpukit/sapi/inline/rtems/chain.inl	(revision 27f071cd88134b995f562e7080ba9820f93d48df)
@@ -2,7 +2,5 @@
  * @file
  *
- * @ingroup ClassicChains
- *
- * @brief Chain API.
+ * @brief Chain API
  */
  
@@ -34,15 +32,15 @@
 
 /**
- *  @brief Initialize a Chain Header
- *
- *  This routine initializes @a the_chain structure to manage the
- *  contiguous array of @a number_nodes nodes which starts at
- *  @a starting_address.  Each node is of @a node_size bytes.
- *
- *  @param[in] the_chain specifies the chain to initialize
- *  @param[in] starting_address is the starting address of the array
- *         of elements
- *  @param[in] number_nodes is the number of nodes that will be in the chain
- *  @param[in] node_size is the size of each node
+ * @brief Initialize a chain Header.
+ *
+ * This routine initializes @a the_chain structure to manage the
+ * contiguous array of @a number_nodes nodes which starts at
+ * @a starting_address.  Each node is of @a node_size bytes.
+ *
+ * @param[in] the_chain specifies the chain to initialize
+ * @param[in] starting_address is the starting address of the array
+ *        of elements
+ * @param[in] number_nodes is the number of nodes that will be in the chain
+ * @param[in] node_size is the size of each node
  */
 RTEMS_INLINE_ROUTINE void rtems_chain_initialize(
@@ -57,9 +55,9 @@
 
 /**
- *  @brief Initialize this Chain as Empty
- *
- *  This routine initializes the specified chain to contain zero nodes.
- *
- *  @param[in] the_chain is the chain to be initialized.
+ * @brief Initialize this chain as empty.
+ *
+ * This routine initializes the specified chain to contain zero nodes.
+ *
+ * @param[in] the_chain is the chain to be initialized.
  */
 RTEMS_INLINE_ROUTINE void rtems_chain_initialize_empty(
@@ -71,10 +69,10 @@
 
 /**
- *  @brief Set off chain
- *
- *  This function sets the next and previous fields of the @a node to NULL
- *  indicating the @a node is not part of a chain.
- *
- *  @param[in] node the node set to off chain.
+ * @brief Set off chain.
+ *
+ * This function sets the next and previous fields of the @a node to NULL
+ * indicating the @a node is not part of a chain.
+ *
+ * @param[in] node the node set to off chain.
  */
 RTEMS_INLINE_ROUTINE void rtems_chain_set_off_chain(
@@ -86,12 +84,13 @@
 
 /**
- *  @brief Is the Node off Chain
- *
- *  This function returns true if the @a node is not on a chain. A @a node is
- *  off chain if the next and previous fields are set to NULL.
- *
- *  @param[in] node is the node off chain.
- *
- *  @return This function returns true if the @a node is off chain.
+ * @brief Is the node off chain.
+ *
+ * This function returns true if the @a node is not on a chain. A @a node is
+ * off chain if the next and previous fields are set to NULL.
+ *
+ * @param[in] node is the node off chain.
+ *
+ * @retval true The node is off chain.
+ * @retval false The node is not off chain.
  */
 RTEMS_INLINE_ROUTINE bool rtems_chain_is_node_off_chain(
@@ -103,11 +102,12 @@
 
 /**
- *  @brief Is the Chain Node Pointer NULL
- *
- *  This function returns true if the_node is NULL and false otherwise.
- *
- *  @param[in] the_node is the node pointer to check.
- *
- *  @return This method returns true if the_node is NULL and false otherwise.
+ * @brief Is the chain node pointer NULL.
+ *
+ * This function returns true if the_node is NULL and false otherwise.
+ *
+ * @param[in] the_node is the node pointer to check.
+ * 
+ * @retval true The chain node pointer is NULL.
+ * @retval false The chain node pointer is not NULL.
  */
 RTEMS_INLINE_ROUTINE bool rtems_chain_is_null_node(
@@ -119,11 +119,11 @@
 
 /**
- *  @brief Return pointer to Chain Head
- *
- *  This function returns a pointer to the first node on the chain.
- *
- *  @param[in] the_chain is the chain to be operated upon.
- *
- *  @return This method returns the permanent  node of the chain.
+ * @brief Return pointer to Chain Head
+ *
+ * This function returns a pointer to the first node on the chain.
+ *
+ * @param[in] the_chain is the chain to be operated upon.
+ *
+ * @return This method returns the permanent node of the chain.
  */
 RTEMS_INLINE_ROUTINE rtems_chain_node *rtems_chain_head(
@@ -134,11 +134,12 @@
 }
 
-/** @brief Return pointer to immutable Chain Head
- *
- *  This function returns a pointer to the head node on the chain.
- *
- *  @param[in] the_chain is the chain to be operated upon.
- *
- *  @return This method returns the permanent head node of the chain.
+/**
+ * @brief Return pointer to immutable Chain Head
+ *
+ * This function returns a pointer to the head node on the chain.
+ *
+ * @param[in] the_chain is the chain to be operated upon.
+ *
+ * @return This method returns the permanent head node of the chain.
  */
 RTEMS_INLINE_ROUTINE const rtems_chain_node *rtems_chain_immutable_head(
@@ -150,11 +151,11 @@
 
 /**
- *  @brief Return pointer to Chain Tail
- *
- *  This function returns a pointer to the tail node on the chain.
- *
- *  @param[in] the_chain is the chain to be operated upon.
- *
- *  @return This method returns the permanent tail node of the chain.
+ * @brief Return pointer to Chain Tail
+ *
+ * This function returns a pointer to the tail node on the chain.
+ *
+ * @param[in] the_chain is the chain to be operated upon.
+ *
+ * @return This method returns the permanent tail node of the chain.
  */
 RTEMS_INLINE_ROUTINE rtems_chain_node *rtems_chain_tail(
@@ -165,11 +166,12 @@
 }
 
-/** @brief Return pointer to immutable Chain Tail
- *
- *  This function returns a pointer to the tail node on the chain.
- *
- *  @param[in] the_chain is the chain to be operated upon.
- *
- *  @return This method returns the permanent tail node of the chain.
+/** 
+ * @brief Return pointer to immutable Chain Tail
+ *
+ * This function returns a pointer to the tail node on the chain.
+ *
+ * @param[in] the_chain is the chain to be operated upon.
+ *
+ * @return This method returns the permanent tail node of the chain.
  */
 RTEMS_INLINE_ROUTINE const rtems_chain_node *rtems_chain_immutable_tail(
@@ -181,12 +183,12 @@
 
 /**
- *  @brief Return pointer to Chain's First node after the permanent head.
- *
- *  This function returns a pointer to the first node on the chain after the
- *  head.
- *
- *  @param[in] the_chain is the chain to be operated upon.
- *
- *  @return This method returns the first node of the chain.
+ * @brief Return pointer to Chain's First node after the permanent head.
+ *
+ * This function returns a pointer to the first node on the chain after the
+ * head.
+ *
+ * @param[in] the_chain is the chain to be operated upon.
+ *
+ * @return This method returns the first node of the chain.
  */
 RTEMS_INLINE_ROUTINE rtems_chain_node *rtems_chain_first(
@@ -197,12 +199,13 @@
 }
 
-/** @brief Return pointer to immutable Chain's First node
- *
- *  This function returns a pointer to the first node on the chain after the
- *  head.
- *
- *  @param[in] the_chain is the chain to be operated upon.
- *
- *  @return This method returns the first node of the chain.
+/** 
+ * @brief Return pointer to immutable Chain's First node
+ *
+ * This function returns a pointer to the first node on the chain after the
+ * head.
+ *
+ * @param[in] the_chain is the chain to be operated upon.
+ *
+ * @return This method returns the first node of the chain.
  */
 RTEMS_INLINE_ROUTINE const rtems_chain_node *rtems_chain_immutable_first(
@@ -214,12 +217,12 @@
 
 /**
- *  @brief Return pointer to Chain's Last node before the permanent tail.
- *
- *  This function returns a pointer to the last node on the chain just before
- *  the tail.
- *
- *  @param[in] the_chain is the chain to be operated upon.
- *
- *  @return This method returns the last node of the chain.
+ * @brief Return pointer to Chain's Last node before the permanent tail.
+ *
+ * This function returns a pointer to the last node on the chain just before
+ * the tail.
+ *
+ * @param[in] the_chain is the chain to be operated upon.
+ *
+ * @return This method returns the last node of the chain.
  */
 RTEMS_INLINE_ROUTINE rtems_chain_node *rtems_chain_last(
@@ -230,12 +233,13 @@
 }
 
-/** @brief Return pointer to immutable Chain's Last node
- *
- *  This function returns a pointer to the last node on the chain just before
- *  the tail.
- *
- *  @param[in] the_chain is the chain to be operated upon.
- *
- *  @return This method returns the last node of the chain.
+/**
+ * @brief Return pointer to immutable Chain's Last node
+ *
+ * This function returns a pointer to the last node on the chain just before
+ * the tail.
+ *
+ * @param[in] the_chain is the chain to be operated upon.
+ *
+ * @return This method returns the last node of the chain.
  */
 RTEMS_INLINE_ROUTINE const rtems_chain_node *rtems_chain_immutable_last(
@@ -247,11 +251,11 @@
 
 /**
- *  @brief Return pointer the next node from this node
- *
- *  This function returns a pointer to the next node after this node.
- *
- *  @param[in] the_node is the node to be operated upon.
- *
- *  @return This method returns the next node on the chain.
+ * @brief Return pointer the next node from this node
+ *
+ * This function returns a pointer to the next node after this node.
+ *
+ * @param[in] the_node is the node to be operated upon.
+ *
+ * @return This method returns the next node on the chain.
  */
 RTEMS_INLINE_ROUTINE rtems_chain_node *rtems_chain_next(
@@ -262,11 +266,12 @@
 }
 
-/** @brief Return pointer the immutable next node from this node
- *
- *  This function returns a pointer to the next node after this node.
- *
- *  @param[in] the_node is the node to be operated upon.
- *
- *  @return This method returns the next node on the chain.
+/** 
+ * @brief Return pointer the immutable next node from this node
+ *
+ * This function returns a pointer to the next node after this node.
+ *
+ * @param[in] the_node is the node to be operated upon.
+ *
+ * @return This method returns the next node on the chain.
  */
 RTEMS_INLINE_ROUTINE const rtems_chain_node *rtems_chain_immutable_next(
@@ -278,11 +283,11 @@
 
 /**
- *  @brief Return pointer the previous node from this node
- *
- *  This function returns a pointer to the previous node on this chain.
- *
- *  @param[in] the_node is the node to be operated upon.
- *
- *  @return This method returns the previous node on the chain.
+ * @brief Return pointer the previous node from this node
+ *
+ * This function returns a pointer to the previous node on this chain.
+ *
+ * @param[in] the_node is the node to be operated upon.
+ *
+ * @return This method returns the previous node on the chain.
  */
 RTEMS_INLINE_ROUTINE rtems_chain_node *rtems_chain_previous(
@@ -293,11 +298,12 @@
 }
 
-/** @brief Return pointer the immutable previous node from this node
- *
- *  This function returns a pointer to the previous node on this chain.
- *
- *  @param[in] the_node is the node to be operated upon.
- *
- *  @return This method returns the previous node on the chain.
+/**
+ * @brief Return pointer the immutable previous node from this node.
+ *
+ * This function returns a pointer to the previous node on this chain.
+ *
+ * @param[in] the_node is the node to be operated upon.
+ *
+ * @return This method returns the previous node on the chain.
  */
 RTEMS_INLINE_ROUTINE const rtems_chain_node *rtems_chain_immutable_previous(
@@ -309,14 +315,14 @@
 
 /**
- *  @brief Are Two Nodes Equal
- *
- *  This function returns true if @a left and @a right are equal,
- *  and false otherwise.
- *
- *  @param[in] left is the node on the left hand side of the comparison.
- *  @param[in] right is the node on the left hand side of the comparison.
- *
- *  @return This function returns true if @a left and @a right are equal,
- *          and false otherwise.
+ * @brief Are Two nodes equal.
+ *
+ * This function returns true if @a left and @a right are equal,
+ * and false otherwise.
+ *
+ * @param[in] left is the node on the left hand side of the comparison.
+ * @param[in] right is the node on the left hand side of the comparison.
+ *
+ * @retval true @a left is equal to @a right.
+ * @retval false @a left is not equal to @a right
  */
 RTEMS_INLINE_ROUTINE bool rtems_chain_are_nodes_equal(
@@ -329,13 +335,13 @@
 
 /**
- *  @brief Is the Chain Empty
- *
- *  This function returns true if there a no nodes on @a the_chain and
- *  false otherwise.
- *
- *  @param[in] the_chain is the chain to be operated upon.
- *
- *  @return This function returns true if there a no nodes on @a the_chain and
- *  false otherwise.
+ * @brief Is the chain empty
+ *
+ * This function returns true if there a no nodes on @a the_chain and
+ * false otherwise.
+ *
+ * @param[in] the_chain is the chain to be operated upon.
+ *
+ * @retval true The chain is empty.
+ * @retval false The chain is not empty.
  */
 RTEMS_INLINE_ROUTINE bool rtems_chain_is_empty(
@@ -347,14 +353,14 @@
 
 /**
- *  @brief Is this the First Node on the Chain
- *
- *  This function returns true if the_node is the first node on a chain and
- *  false otherwise.
- *
- *  @param[in] the_node is the node the caller wants to know if it is
- *             the first node on a chain.
- *
- *  @return This function returns true if @a the_node is the first node on
- *          a chain and false otherwise.
+ * @brief Is this the first node on the chain.
+ *
+ * This function returns true if the_node is the first node on a chain and
+ * false otherwise.
+ *
+ * @param[in] the_node is the node the caller wants to know if it is
+ *            the first node on a chain.
+ *
+ * @retval true @a the_node is the first node on a chain.
+ * @retval false @a the_node is not the first node on a chain.
  */
 RTEMS_INLINE_ROUTINE bool rtems_chain_is_first(
@@ -366,13 +372,13 @@
 
 /**
- *  @brief Is this the Last Node on the Chain
- *
- *  This function returns true if @a the_node is the last node on a chain and
- *  false otherwise.
- *
- *  @param[in] the_node is the node to check as the last node.
- *
- *  @return This function returns true if @a the_node is the last node on
- *          a chain and false otherwise.
+ * @brief Is this the last node on the chain.
+ *
+ * This function returns true if @a the_node is the last node on a chain and
+ * false otherwise.
+ *
+ * @param[in] the_node is the node to check as the last node.
+ *
+ * @retval true @a the_node is the last node on a chain.
+ * @retval false @a the_node is not the last node on a chain
  */
 RTEMS_INLINE_ROUTINE bool rtems_chain_is_last(
@@ -384,13 +390,13 @@
 
 /**
- *  @brief Does this Chain have only One Node
- *
- *  This function returns true if there is only one node on @a the_chain and
- *  false otherwise.
- *
- *  @param[in] the_chain is the chain to be operated upon.
- *
- *  @return This function returns true if there is only one node on
- *          @a the_chain and false otherwise.
+ * @brief Does this chain have only one node.
+ *
+ * This function returns true if there is only one node on @a the_chain and
+ * false otherwise.
+ *
+ * @param[in] the_chain is the chain to be operated upon.
+ *
+ * @retval true The chain has only one node.
+ * @retval false The chain has more than one nodes.
  */
 RTEMS_INLINE_ROUTINE bool rtems_chain_has_only_one_node(
@@ -402,14 +408,14 @@
 
 /**
- *  @brief Is this Node the Chain Head
- *
- *  This function returns true if @a the_node is the head of the_chain and
- *  false otherwise.
- *
- *  @param[in] the_chain is the chain to be operated upon.
- *  @param[in] the_node is the node to check for being the Chain Head.
- *
- *  @return This function returns true if @a the_node is the head of
- *          @a the_chain and false otherwise.
+ * @brief Is this node the chain head.
+ *
+ * This function returns true if @a the_node is the head of the_chain and
+ * false otherwise.
+ *
+ * @param[in] the_chain is the chain to be operated upon.
+ * @param[in] the_node is the node to check for being the Chain Head.
+ *
+ * @retval true @a the_node is the head of @a the_chain.
+ * @retval false @a the_node is not the head of @a the_chain.
  */
 RTEMS_INLINE_ROUTINE bool rtems_chain_is_head(
@@ -422,11 +428,14 @@
 
 /**
- *  @brief Is this Node the Chail Tail
- *
- *  This function returns true if the_node is the tail of the_chain and
- *  false otherwise.
- *
- *  @param[in] the_chain is the chain to be operated upon.
- *  @param[in] the_node is the node to check for being the Chain Tail.
+ * @brief Is this node the chain tail.
+ *
+ * This function returns true if the_node is the tail of the_chain and
+ * false otherwise.
+ *
+ * @param[in] the_chain is the chain to be operated upon.
+ * @param[in] the_node is the node to check for being the Chain Tail.
+ * 
+ * @retval true @a the_node is the tail of @a the_chain.
+ * @retval false @a the_node is not the tail of @a the_chain.
  */
 RTEMS_INLINE_ROUTINE bool rtems_chain_is_tail(
@@ -439,11 +448,11 @@
 
 /**
- *  @brief Extract the specified node from a chain
- *
- *  This routine extracts @a the_node from the chain on which it resides.
- *  It disables interrupts to ensure the atomicity of the
- *  extract operation.
- *
- *  @arg the_node specifies the node to extract
+ * @brief Extract the specified node from a chain.
+ *
+ * This routine extracts @a the_node from the chain on which it resides.
+ * It disables interrupts to ensure the atomicity of the
+ * extract operation.
+ *
+ * @arg the_node specifies the node to extract
  */
 RTEMS_INLINE_ROUTINE void rtems_chain_extract(
@@ -455,10 +464,10 @@
 
 /**
- *  @brief Extract the specified node from a chain (unprotected).
- *
- *  This routine extracts @a the_node from the chain on which it resides.
- *
- *  @note It does NOT disable interrupts to ensure the atomicity of the
- *  append operation.
+ * @brief Extract the specified node from a chain (unprotected).
+ *
+ * This routine extracts @a the_node from the chain on which it resides.
+ *
+ * NOTE: It does NOT disable interrupts to ensure the atomicity of the
+ * append operation.
  */
 RTEMS_INLINE_ROUTINE void rtems_chain_extract_unprotected(
@@ -470,14 +479,14 @@
 
 /**
- *  @brief Obtain the first node on a chain
- *
- *  This function removes the first node from @a the_chain and returns
- *  a pointer to that node.  If @a the_chain is empty, then NULL is returned.
- *
- *  @return This method returns a pointer a node.  If a node was removed,
- *          then a pointer to that node is returned.  If @a the_chain was
- *          empty, then NULL is returned.
- *
- *  @note It disables interrupts to ensure the atomicity of the get operation.
+ * @brief Obtain the first node on a chain.
+ *
+ * This function removes the first node from @a the_chain and returns
+ * a pointer to that node.  If @a the_chain is empty, then NULL is returned.
+ *
+ * @return This method returns a pointer a node.  If a node was removed,
+ *         then a pointer to that node is returned.  If @a the_chain was
+ *         empty, then NULL is returned.
+ *
+ *  NOTE: It disables interrupts to ensure the atomicity of the get operation.
  */
 RTEMS_INLINE_ROUTINE rtems_chain_node *rtems_chain_get(
@@ -499,11 +508,11 @@
 
 /**
- *  @brief Insert a node on a chain
- *
- *  This routine inserts @a the_node on a chain immediately following
- *  @a after_node.  
- *
- *  @note It disables interrupts to ensure the atomicity
- *  of the extract operation.
+ * @brief Insert a node on a chain
+ *
+ * This routine inserts @a the_node on a chain immediately following
+ * @a after_node.  
+ *
+ * NOTE: It disables interrupts to ensure the atomicity
+ * of the extract operation.
  */
 RTEMS_INLINE_ROUTINE void rtems_chain_insert(
@@ -527,10 +536,10 @@
 
 /**
- *  @brief Append a node on the end of a chain
- *
- *  This routine appends @a the_node onto the end of @a the_chain.
- *
- *  @note It disables interrupts to ensure the atomicity of the
- *  append operation.
+ * @brief Append a node on the end of a chain.
+ *
+ * This routine appends @a the_node onto the end of @a the_chain.
+ *
+ * NOTE: It disables interrupts to ensure the atomicity of the
+ * append operation.
  */
 RTEMS_INLINE_ROUTINE void rtems_chain_append(
@@ -543,10 +552,10 @@
 
 /**
- *  @brief Append a node on the end of a chain (unprotected)
- *
- *  This routine appends @a the_node onto the end of @a the_chain.
- *
- *  @note It does NOT disable interrupts to ensure the atomicity of the
- *  append operation.
+ * @brief Append a node on the end of a chain (unprotected).
+ *
+ * This routine appends @a the_node onto the end of @a the_chain.
+ *
+ * NOTE: It does NOT disable interrupts to ensure the atomicity of the
+ * append operation.
  */
 RTEMS_INLINE_ROUTINE void rtems_chain_append_unprotected(
@@ -558,13 +567,14 @@
 }
 
-/** @brief Prepend a Node
- *
- *  This routine prepends the_node onto the front of the_chain.
- *
- *  @param[in] the_chain is the chain to be operated upon.
- *  @param[in] the_node is the node to be prepended.
- *
- *  @note It disables interrupts to ensure the atomicity of the
- *        prepend operation.
+/** 
+ * @brief Prepend a node.
+ *
+ * This routine prepends the_node onto the front of the_chain.
+ *
+ * @param[in] the_chain is the chain to be operated upon.
+ * @param[in] the_node is the node to be prepended.
+ *
+ * NOTE: It disables interrupts to ensure the atomicity of the
+ *       prepend operation.
  */
 RTEMS_INLINE_ROUTINE void rtems_chain_prepend(
@@ -576,13 +586,14 @@
 }
 
-/** @brief Prepend a Node (unprotected)
- *
- *  This routine prepends the_node onto the front of the_chain.
- *
- *  @param[in] the_chain is the chain to be operated upon.
- *  @param[in] the_node is the node to be prepended.
- *
- *  @note It does NOT disable interrupts to ensure the atomicity of the
- *        prepend operation.
+/** 
+ * @brief Prepend a node (unprotected).
+ *
+ * This routine prepends the_node onto the front of the_chain.
+ *
+ * @param[in] the_chain is the chain to be operated upon.
+ * @param[in] the_node is the node to be prepended.
+ *
+ * NOTE: It does NOT disable interrupts to ensure the atomicity of the
+ *       prepend operation.
  */
 RTEMS_INLINE_ROUTINE void rtems_chain_prepend_unprotected(
Index: cpukit/sapi/inline/rtems/extension.inl
===================================================================
--- cpukit/sapi/inline/rtems/extension.inl	(revision f2f39b62a284afefbf8f1840255602162a9b2a01)
+++ cpukit/sapi/inline/rtems/extension.inl	(revision 27f071cd88134b995f562e7080ba9820f93d48df)
@@ -4,5 +4,5 @@
  * @ingroup ClassicUserExtensions
  *
- * @brief User Extensions API.
+ * @brief User Extensions API
  */
 
